- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# AttributeLocale Class Reference

Search for all occurrences

## Detailed Description

Definition at line 54 of file preferences.h.

`#include <preferences.h>`

Inheritance diagram for AttributeLocale:
[legend]

List of all members.

## Public Member Functions
| AttributeLocale (Node *pOwner, const QString &sID)
| AttributeLocale (Node *pOwner, const QString &sID, const QString &cValue)
virtual | ~AttributeLocale ()
virtual AttributeWidget * | CreateEditorWidget (QWidget *pParent, int iWidth)
| This function creates and returns the address of a QWidget object.

## Constructor & Destructor Documentation

AttributeLocale | ( | Node * | pOwner,
|  | const QString & | sID
| ) |  |

AttributeLocale | ( | Node * | pOwner,
|  | const QString & | sID,
|  | const QString & | cValue
| ) |  |

virtual ~AttributeLocale | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual AttributeWidget* CreateEditorWidget | ( | QWidget * | pParent,
|  | int | iWidth
| ) |  | `[virtual]`

Search for all occurrences

This function creates and returns the address of a QWidget object.

The object then can be used in the interface to give the user control over the attribute value. Mudbox calls this function for every attribute in a node when it displays a properties dialog box for it. You must override it if you implement a new kind of attribute and want a special interface.

Reimplemented from AttributeInstance< QString >.

The documentation for this class was generated from the following file:

- Mudbox/preferences.h

AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale
AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale AttributeLocale